/* $Id: revinetd.h,v 1.11 2003/03/17 22:47:59 alexcv Exp $ */

#ifndef __REVINETD_H__
#define __REVINETD_H__

/* Define truth. Too bad we can only do that on a computer. */
#ifndef FALSE
#define FALSE 0
#endif
#ifndef TRUE
#define TRUE !FALSE
#endif

/* Values for server flag */
#define FLAG_NONE 0
#define FLAG_RELAY -1
#define FLAG_SERVER 1
/* Values for verbosity */
#define VB_NORMAL 0
#define VB_QUIET -1
#define VB_VERBOSE 1

/* Structures defs for configuration. */
typedef struct _OpenSockets {
    int sock;
    struct _OpenSockets *next;
    struct _OpenSockets *prev;
} OpenSockets;

typedef struct _Conf {
    int server_flag;
    int daemonize;
    int port;
    int port2;
    int verbosity;
    char *callback;
    char *target;
    OpenSockets *open_sock;
} Conf;

/* Global variable. */
Conf conf;

char *exec_name;

/* Function prototypes. */
void init_conf(void);
void clean_exit(int);
void usage(void);
unsigned short parse_host_str(char *);

#endif
