/* $Id: misc.h,v 1.10 2003/04/04 01:15:19 alexcv Exp $ */

#ifndef __MISC_H__
#define __MISC_H__

#define SZ_READ_BUFFER 2048

/* COMM Messages */

/* Server commands RA to bring up target */
#define RA_TARGET_UP        1

/* RA commands server to acknowledge that it's alive. */
#define SV_HEART_BEAT       2

/* Server confirms that it's alive. */
#define RA_SERVER_ALIVE     3

int make_socket(unsigned short);
int init_sockaddr(struct sockaddr_in *, const char *, unsigned short);
int read_from_client(int);
int copy_between_ports(int, int);
void register_sock(int);
int unregister_sock(int);
int send_comm_message(int, int);
int get_comm_message(int);

#endif
